typedef char BOOL;

extern char CName[14];          /*   conference name                            */
extern char CMsgBlocks;         /*   number of message base index blocks        */
extern char CMsgFile[32];       /*   name and location of messages file         */
extern char CUserMenu[32];      /*   name and location of Users Menu            */
extern char CSysopMenu[32];     /*   name and location of Sysops Menu           */
extern char CNewsFile[32];      /*   name and location of Conference News       */
extern char CPubUpldSort;       /*   sort type for public upload DIR file       */
extern char CUpldDir[29];       /*   name and location of public upload DIR file*/
extern char CPubUpldLoc[26];    /*   public upload location                     */
extern char CPrvUpldSort;       /*   sort type for public upload DIR file       */
extern char CPrivDir[29];       /*   name and location of private upload DIR file*/
extern char CPrvUpldLoc[26];    /*   private upload location                     */
extern char CDrsMenu[29];       /*   name and location of conference doors menu  */
extern char CDrsFile[33];       /*   name and location of DOORS.LST file         */
extern char CBltMenu[29];       /*   name and location of conference blt menu    */
extern char CBltNameLoc[33];    /*   name and location of BLT.LST file           */
extern char CScrMenu[29];       /*   name and location of conference scripts menu*/
extern char CScrNameLoc[33];    /*   name and location of SCRIPT.LST             */
extern char CDirMenu[29];       /*   name and location of directories menu       */
extern char CDirNameLoc[33];    /*   name and location of DIR.LST file           */
extern char CPthNameLoc[33];    /*   name and location of DLPATH.LST file        */
extern BOOL CPublicConf;        /*   new user default registration              */
extern BOOL CAutoRejoin;        /*   auto-rejoin for this conference            */
extern BOOL CViewMembers;       /*   allow viewing conference members           */
extern BOOL CPrivUplds;         /*   make uploads private                       */
extern BOOL CPrivMsgs;          /*   make all messages private                  */
extern BOOL CEchoMail;          /*   is this an Echo-Mail conference            */
extern int  CReqSecLevel;       /*   security required to join non-public conf. */
extern int  CAddSec;            /*   additional security level added after join */
extern int  CAddTime;           /*   additional time added after join           */

extern char     Name[26];
extern char     City[25];
extern char     Password[13];
extern char     BusDataPhone[14];
extern char     HomeVoicePhone[14];
extern char     LastTimeOn[6];
extern BOOL     ExpertMode;
extern char     Protocol;
extern int      SecurityLevel;
extern unsigned NumTimesOn;
extern char     PageLen;
extern unsigned NumUploads;
extern unsigned NumDownloads;
extern long     DailyDnldBytes;
extern char     UserComment[31];
extern char     SysopComment[31];
extern int      ElapsedTimeOn;
extern int      ExpSecurityLevel;
extern unsigned LastConference;
extern long     TotDnldBytes;
extern long     TotUpldBytes;
extern long     RecNum;
extern long     MsgsRead;
extern long     MsgsLeft;

extern struct data1
{
char      Display[3],          /* Screen On or OFF   "-1"=Yes, " 0"=NO      */
	  Printer[3],          /* Printer On or OFF  "-1"=Yes, " 0"=NO      */
	  PageBell[3],         /* PageBell On or OFF "-1"=Yes, " 0"=NO      */
	  CallerAlarm[3],      /* Alarm On or OFF    "-1"=Yes, " 0"=NO      */
	  SysFlag,             /* N,X, or Space
				  N=Sysop On Next
				  X=Exit To Dos After Caller Logs Off
				  Space=Continue Running Normally           */
	  CorrectedConnect[3], /* ErrorCorrecting Connect "-1"=Yes, " 0"=No */
	  Graphics,            /* "Y", "N", "7" */
	  ChatStatus,          /* "U", "A"
				   U=Unavailable
				   A=Available                              */
	  BPSRate[6],          /* ComRate At Which BBS is Opening Comport AT*/
	  BPSConnect[6];       /* Baud Rate of Caller */
int       RecordNumber;        /* UserRecord Number in USER File            */
char      FirstName[16],       /* First Name Padded to 15 Spaces            */
	  PassWord[13];        /* Password Padded to 12 Spaces              */
int       TimeInMinutes,       /* Time User Logged on in Minutes Format     */
	  TimeToday;           /* Time User So Far Today                    */
char      TimeOn[6];           /* hh:mm format */
int       PWRDMinutes,         /* Allowed Time For User In PWRD File        */
	  DLBytes;             /* Allowed Download Bytes For the Day
				  From the PWRD File                        */
char      LConference;         /* Conference Exited From */
char      BitMap1[6],          /* Areas of the board the user has been in   */
	  BitMap2[6];          /* Areas the user has done a "Y" command in  */
int       AddTime,             /* Added Time from A conference              */
	  ChatCredit;          /* Use This if You Wish to Give User More
				  When Returning to PCBoard or Subtract     */
char      Language[5],         /* Language being used */
	  FullName[26];        /* Callers Complete Name Padded to 25 Spaces */
int       TimeLeft;            /* Time Left for User For the Day            */
char      Node,                /* Node Number of Caller                     */
	  EventTime[6],        /* Event Time in HH:MM format                */
	  EventActive[3],      /* Event Active "-1"=yes, " 0"=No            */
	  SlideEvent[3];       /* Slide Event "-1"=Yes, " 0"=No             */
long int  Memorized;           /* Memorized Message Number                  */
char      ComPort,             /* Com Port # (0, 1, 2)                      */
	  PackFlag,            /* Used Internally for ASM Routines for Pack */
	  BPSFlag;             /* Used Internally for ASM Routines for BPS  */
} pcb;



extern int local;
extern char command_string[256];
extern int timeleft;
extern int color;
extern char extra[81];
extern char PATH[81];
extern char MULTITASK[10];
extern char SHAREON;
extern int colorit;
extern char DisplayBaud[6];
extern char FirstName[16];
extern char LastDateOn[16];
extern char RegExpDate[16];
extern char EventActive;
extern char EventTime[6];
extern char SlideEvent;
extern char Node;
extern char SysFlag;            /* Sysop Flag for Display Bar 'X','N',' ' */
extern int Black;               /* int == 0  */
extern int Blue;                /* int == 1  */
extern int Green;               /* int == 2  */
extern int Cyan;                /* int == 3  */
extern int Red;                 /* int == 4  */
extern int Magenta;             /* int == 5  */
extern int Brown;               /* int == 6  */
extern int Gray;                /* int == 7  */
extern int DGray;               /* int == 8  */
extern int LBlue;               /* int == 9  */
extern int LGreen;              /* int == 10 */
extern int LCyan;               /* int == 11 */
extern int LRed;                /* int == 12 */
extern int LMagenta;            /* int == 13 */
extern int Yellow;              /* int == 14 */
extern int White;               /* int == 15 */
extern char ProgramName[51];    /* Your Program Name For Display Bar #5   */
#define CLEAR "\x1b[40m\x1b[2J" /* Use this with any Display Function     */
				/* To CLEAR the REMOTE and LOCAL Screen   */